/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function writeToClipboard(text){
  navigator.clipboard.writeText(text).then(() => {
    console.log("Copying to clipboard was successful!");
  }, (err) => {
    console.error("Unable to copy text: ", err);
  });
}
document.querySelector("#copyBtn").addEventListener("click", () => {
  
  // Select the list elements
  const nodeList = document.querySelectorAll("#ingredients li");
  
  // Create a variable that will hold the text to be sent to clipboard
  let textList = "";
  
  // Append the text of each li element to textList
  nodeList.forEach(li => {
    textList += `*  ${li.textContent} \n`;
  });

  // Append the current URL to textList
  textList += "View recipe at " + window.location.href;

  writeToClipboard(textList);
});
