/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function extractList(str) { 
  const start = str.indexOf(":");
  const end = str.indexOf(".", start);
  const list = str.slice(start + 2, end);

  // Split the string by comma or forward slash  
  const arr = list.includes(",") ? list.split(", ") : list.split("/"); 

  // Remove "etc"
  arr.at(-1) === "etc" ? arr.pop() : null;
 
  // Remove and/or 
  return arr.map(word => {
    if (word.startsWith("and ")) {
      return word.slice(4);
    } else if (word.startsWith("or ")) {
      return word.slice(3);
    } else {
      return word;
    }
  });
}

extractList("Available in three colors: red, black, and blue.");    
// → [ "Red", "Black", "Blue" ]

extractList("Available colors: Red/Black/Blue."); 
// → [ "Red", "Black", "Blue" ]

extractList("Available colors: Red, Black, Blue, etc."); 
// → [ "Red", "Black", "Blue" ]