/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const USDprice = 499;

async function getExchangeRate(from, to) {
  const api = `https://api.exchangerate.host/convert?from=${from}&to=${to}`;
  let response = await fetch(api);
  response = await response.json();
  return response.info.rate;
}

function getFormattedCurrency(currency, amount) {
  return new Intl.NumberFormat("en-CA", {
    style: "currency",
    currency: currency,
  }).format(amount);
}

getExchangeRate("USD", "CAD").then(exchangeRate => {
  console.log(getFormattedCurrency("CAD", exchangeRate * USDprice));
});

// Logs something like:
// → CA$679.31