/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function addDaysToToday(days) {
  const d = new Date();
  d.setDate(d.getDate() + days);
  return d;
}

function getFormattedDate(locale, date) {
  const formatter = new Intl.DateTimeFormat(locale, {dateStyle: "full"});
  return formatter.format(date);
}

const dayAfterTomorrow = addDaysToToday(2);
const msg = "We'll deliver your purchase on ";

console.log(msg + getFormattedDate("en-US", dayAfterTomorrow));
// → We'll deliver your purchase on Wednesday, April 12, 2023