/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const data = [
  ["Quarter", "Revenue", "Eps"],
  ["Q1 FY22", 45962, 2.71],
  ["Q2 FY22", 44845, 2.71],
  ["Q3 FY22", 46151, 2.03],
  ["Q4 FY22", 46822, 2.11],
  ["Q1 FY23", 45215, 2.64]
];

function createTable(data) {
  const table = document.createElement("table");
  const thead = table.createTHead();
  const tbody = table.createTBody();
  const headerRow = thead.insertRow();
  
  // Create table head
  data[0].forEach(item => {
    const th = document.createElement("th");
    th.innerText = item;
    headerRow.appendChild(th);
  });

  // Create table body
  data.slice(1).forEach(rowData => {
    const row = tbody.insertRow();
    rowData.forEach(item => {
      const cell = row.insertCell();
      cell.innerText = item;
    });
  });
  
  document.body.appendChild(table);
}

createTable(data);
