/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const data = [
  {quarter: "Q1 FY22", revenue: 45962, netIncome: 20820, eps: 2.71},
  {quarter: "Q2 FY22", revenue: 44845, netIncome: 20610, eps: 2.71},
  {quarter: "Q3 FY22", revenue: 46151, netIncome: 16027, eps: 2.03},
  {quarter: "Q4 FY22", revenue: 46822, netIncome: 16244, eps: 2.11},
  {quarter: "Q1 FY23", revenue: 45215, netIncome: 20256, eps: 2.64}
];

const headers = [
  "Quarter", 
  "Revenue (in millions of US dollars)", 
  "Net Income (in millions of US dollars)", 
  "Earnings per Share (EPS)"
];

function createTable(data, headers) {
  const table = document.createElement("table");
  const thead = table.createTHead();
  const tbody = table.createTBody();
  const headerRow = thead.insertRow();

  // Create table head
  headers.forEach(header => {
    const th = document.createElement("th");
    th.innerText = header;
    headerRow.appendChild(th);
  });

  // Create table body
  data.forEach(data => {
    const row = tbody.insertRow();
    Object.values(data).forEach(value => {
      const cell = row.insertCell();
      cell.innerText = value;
    });
  });
  
  document.body.appendChild(table);
}

createTable(data, headers);