/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
// The js code you want to check.
// In production, you'll likely use the FileReader API
// or a textarea to grab the code.
const code = `
  let a = 123;
  let b = 456;
  let default = 7;
`;

// A short list of js reserved words.
// A full list is available here:
// https://mzl.la/3XG92DO
const reserved = ["class", "default", "this", "case", "if"];

// Build a regex pattern with the reserved words
const re = new RegExp(`(?:var|let|const|function)\\s+(${reserved.join("|")})`,
                      "d");

// Find and display the location of the reserved word
function locateReservedWord(line) {
  const match = line.match(re);
  
  // If no match is found, return  
  if (match === null) {return;}

  // Assign the start and end indices using the destructuring assignment.
  // indices[0] holds the indices of the matched string.
  // indices[1] holds the indices of the first capturing group.
  const [start, end] = match.indices[1];
  
  // Build the error message
  const error = 
    " ".repeat(start) +    // Add spaces before the arrow
    "↑" +
    "-".repeat(end - start - 1) +    
    " Invalid name (reserved word)"; 
    
  console.log(line);
  console.log(error);
}

// Split the code into separate lines,
// then send each line to locateReservedWord() 
code.split(/\n|\r|\r\n/).forEach(line => {
  locateReservedWord(line);
});

// Logs:
// → let default = 7;
// →     ↑------ Invalid name (reserved word)
