/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = "3 Beds, 2.5 baths, 1,850 Sq. Ft";

// Convert sqft to m2
function convertToM2(sqft) {
  
  // Remove non-digit characters
  sqft = sqft.replace(/\D/g, "");
  
  // Convert sqft to m2
  const m2 = sqft * 0.0929;
  
  // Round to two decimal places and return it
  return m2.toFixed(2);
}

// Match sqft in the string, have it converted to m2,
// wrap parentheses around the result, and append it to sqft
function appendM2ToSqft(str) {
  return str.replace(/\d+,?\d+\s(sqft|sq\.?\sft)/ig, (match) => {
    return `${match} (${convertToM2(match)} m2)`;
  });
}

appendM2ToSqft(str);
// → "3 Beds, 2.5 baths, 1,850 Sq. Ft (171.86 m2)"