/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function convertTextToHTML(str) {

  // Replace newline characters with <br>
  str = str.replace(/\r\n|\n/g, "<br>");

  // Replace two consecutive <br> with </p><p>
  str = str.replace(/<br>\s*<br>/g, "</p><p>"); 

  // Enclose the entire string in <p></p>
  str = `<p>${str}</p>`;
  return str;
}

const str = 
`Hey guys, 

I need your help with something urgent. My cat, Mr. Whiskers, has been acting 
super weird lately. He won't stop meowing, he keeps knocking down my plants, 
and to top it off, he's been stealing my socks. 

Do you know of any good cat therapists that you can recommend?

Thanks
`;

convertTextToHTML(str);
// → <p>Hey guys, </p><p>I need your help with something urgent. My cat, Mr. 
// Whiskers, has been acting <br>super weird lately. He won't stop meowing, 
// he keeps knocking down my plants, <br>and to top it off, he's been 
// stealing my socks. </p><p>Do you know of any good cat therapists that you 
// can recommend?</p><p>Thanks<br></p>"