/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const searchInput = document.querySelector("#search-input");
const searchResults = document.querySelector("#search-results");
const content = searchResults.innerHTML;

function highlightText() {
  const searchText = searchInput.value.trim().toLowerCase();

  if (searchText.length > 0) {
    const searchRegex = new RegExp(searchText, "gi");
    const highlightedText = content.replace(searchRegex, "<mark>$&</mark>");

    searchResults.innerHTML = highlightedText;
  } else {
    searchResults.innerHTML = content;
  }    
}

searchInput.addEventListener("input", highlightText);