/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const el = document.querySelector("#string");

function highlight() {
  
  // Get the value of #input
  const keyword = document.querySelector("#input").value;
  
  // If the input is empty don't execute the rest of the function
  if(keyword === "") {
    return;
  }
  
  // Remove any existing highlights from the text
  unhighlight();
  
  // Construct a regular expression
  const re = new RegExp(`([^.!?]*\\b${keyword}\\b[^.!?]*.?)`, "gi");  
  
  // Wrap each sentence in a pair of <mark></mark> tags
  el.innerHTML = el.innerHTML.replace(re,"<mark>$1</mark>");
}

function unhighlight() {
  
  // Construct a regex that matches <mark> and </mark> tags
  const re = /<\/?mark>/g;
  
  // Remove tags by replacing each tag with an empty string
  el.innerHTML = el.innerHTML.replace(re, "");
}

document.querySelector("#highlight").addEventListener("click", highlight);      
document.querySelector("#unhighlight").addEventListener("click", unhighlight);  