/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
let reservedNames = 
`LPT1, LPT2, LPT3, LPT4, LPT5, LPT6, LPT7, LPT8, LPT9,
COM1, COM2, COM3, COM4, COM5, COM6, COM7, COM8, COM9,
CON, PRN, AUX, NUL`;

// Create an array from the reservedNames string
reservedNames = reservedNames.split(/,\s/);  

function isValidFilename(name) { 
  const re1 = new RegExp(`^(${reservedNames.join("|")})$`, "i");
  const re2 = /[<>:"/\\|?*]/;
  return !(re1.test(name) || re2.test(name));
}

isValidFilename("COM1");        // → false
isValidFilename("com1");        // → false
isValidFilename("com1_");       // → true
isValidFilename("@com1");       // → true
isValidFilename("]-:");         // → false
isValidFilename("<myfile>");    // → false